Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class errorEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.errorEditor

    public class errorEditor

extends FieldEditor

Field Summary

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, params, paramValues, suffixName`

Method Summary
`String` | `formatShow(RecordFormatter rf, int fieldIndex, Object o, Dictionary<String,Object> formatParam)`
`static FieldFormatter` | `getInstance()`

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, format, formatHidden, formatHiddenValue, formatValue, getAcceptedParams, getAcceptedValue, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, readFrom, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, formatNotNull, formatNull, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static FieldFormatter getInstance()

### formatShow

    public String formatShow(RecordFormatter rf,
                             int fieldIndex,
                             Object o,
                             Dictionary<String,Object> formatParam)

  Overrides:
    `formatShow` in class `FieldEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20